<?
require'../config.php';
$align='left';
$title='Информация';
head();
aut();
levels(7);
who_add(0,'enter');


switch($mod){
default:
if ($_GET['i']==1)echo '<b>Изменения сохранены.</b><br/>';
if ($_GET['i']==2)echo '<b>Ошибка. Сообщите администрации</b><br/>';
if($user['level']>=9){
echo '&#187; <a href="infa?mod=admin_news">Админ Новости</a><br/>';
}
echo '&#187; <a href="infa?mod=news">Новости Чата</a><br/>';
echo '&#187; <a href="infa?mod=vstr">Встречи</a><br />';
echo '&#187; <a href="infa?mod=akcyi">Акции</a><br />';
echo '&#187; <a href="infa?mod=konkurs">Конкурсы</a><br/>';
echo '&#187; <a href="infa?mod=well">Приветствия</a><br/>';
echo '&#187; <a href="infa?mod=obyava">Обьявление в блоке</a><br/>';
echo '&#187; <a href="infa?mod=objavs">Обьявление ссылкой</a><br/>';
break;

case 'admin_news':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `admin_news` WHERE `id` = '".check(intval($_GET['delk']))."'");
$db->sql_query("DELETE FROM `admin_newskom` WHERE `new` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

if($user['level']>=9){
echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить новость</a><dt></dt>';
}

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from admin_news"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from admin_news order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Новостей нет<br/>';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Новость:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Новость:<br /><input name="msg'.$ref.'" title="Новость"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
if (strlen2($msg)<5){echo 'Новость слишком короткая!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query ("INSERT INTO admin_news (user_id,time,msg) VALUES ('$user[id]','$time','$msg')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from admin_news where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Новость:<br/><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a[msg],false,true,false,false,false).'</textarea><br/>';echo '<br/><input type="submit" class="ibutton" value="Изменить"/></form><br/><br/>';

}else{

echo 'Новость:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Новость"/><br/>';
echo '<br/><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
if (strlen2($msg)<5){echo 'Новость слишком короткая!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `admin_news` SET `msg` = '$msg' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}

break;

case 'news':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `news` WHERE `id` = '".check(intval($_GET['delk']))."'");
$db->sql_query("DELETE FROM `newskom` WHERE `new` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить новость</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from news"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from news order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Новостей нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Новость:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Новость:<br /><input name="msg'.$ref.'" title="Новость"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
if (strlen2($msg)<5){echo 'Новость слишком короткая!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query ("INSERT INTO news (user_id,time,msg) VALUES ('$user[id]','$time','$msg')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from news where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Новость:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a[msg],false,true,false,false,false).'</textarea><br />';echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Новость:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Новость"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
if (strlen2($msg)<5){echo 'Новость слишком короткая!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `news` SET `msg` = '$msg' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;

case 'vstr':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `vstr` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить встречу</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from vstr"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from vstr order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Встреч нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);
echo '<br />Организаторы:'.$a['org'].'';

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Встреча:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Встреча:<br /><input name="msg'.$ref.'" title="Встреча"/><br/>';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Встреча слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($db->sql_query ("INSERT INTO vstr (user_id,time,msg,org) VALUES ('$user[id]','$time','$msg','$org')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from vstr where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Встреча:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a['msg'],false,true,false,false,false).'</textarea><br />';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Встреча:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Новость"/><br/>';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Встреча слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `vstr` SET `msg` = '$msg', `org` = '$org' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;


case 'akcyi':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `akcyi` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить акцию</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from akcyi"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from akcyi order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Акций нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);
echo '<br />Организаторы:'.$a['org'].'';

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Акция:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Акция:<br /><input name="msg'.$ref.'" title="Акция"/><br/>';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Акция слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($db->sql_query ("INSERT INTO akcyi (user_id,time,msg,org) VALUES ('$user[id]','$time','$msg','$org')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from akcyi where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Акция:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a['msg'],false,true,false,false,false).'</textarea><br />';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Акция:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Акция"/><br/>';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Акция слишком короткая!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `akcyi` SET `msg` = '$msg', `org` = '$org' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;

case 'konkurs':

if (empty($act)){
if (isset($_GET['delk'])){
if($user[level]>=5){
$db->sql_query("DELETE FROM `konkurs` WHERE `id` = '".check(intval($_GET['delk']))."'");
}
header ('Location: infa?mod='.$mod.'&'.SID);
}

echo '<a href="infa?mod='.$mod.'&amp;act=add">Добавить конкурс</a><dt></dt>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from konkurs"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from konkurs order by time desc LIMIT $start, $max");
if ($k_post == 0)echo 'Конкурсов нет<br />';
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.''.nik($a[user_id]).' ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;delk='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;new='.$a[id].'">[Изм]</a>'.div;


echo text($a[msg]);
echo '<br />Организаторы:'.$a['org'].'';

echo '<dl></dl>';

}

if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page); // Вывод страниц
echo "<br /><dl><dt></dt></dl><br />";
}

}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo'Конкурс:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br />';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';

}else{

echo 'Конкурс:<br /><input name="msg'.$ref.'" title="Конкурс"/><br/>';
echo 'Организаторы:<br /><input name="org" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Добавить<go href="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Конкурс слишком короткий!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($db->sql_query ("INSERT INTO konkurs (user_id,time,msg,org) VALUES ('$user[id]','$time','$msg','$org')")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';

}else if($act=='edit'){ // Изменение
$new = check(intval($_GET['new']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from konkurs where id = '".$new."'"));

if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Конкурс:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a['msg'],false,true,false,false,false).'</textarea><br />';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';

}else{

echo 'Конкурс:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Конкурс"/><br/>';
echo 'Организаторы:<br /><input name="org" value="'.text($a['org'],false,true,false,false,false).'" title="Организаторы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;new='.$new.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="org" value="$org'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$new = check(intval($_GET['new']));
$msg = check($_POST['msg']);
$org = check($_POST['org']);
if (strlen2($msg)<5){echo 'Конкурс слишком короткий!'; exit;}
if (strlen2($org)<1){echo 'Не указаны Организаторы!'; exit;}
if ($user['translit']==1)$msg = translit($msg);
if ($user['translit']==1)$org = translit($org);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `konkurs` SET `msg` = '$msg', `org` = '$org' WHERE `id` = '".$new."'")){header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br />';
}
break;

case 'well':
if (empty($act)){
if ($ver!='wml')echo '<form action="infa?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';

echo 'Приветствие на главной:<br/><input name="gl" value="'.$set['gl'].'" emptyok="false"/><br/>';

echo '/ перенос строки<br/>';
echo '<dt></dt>';

echo 'Приветствие в прихожке:<br/><input name="en" value="'.$set['en'].'" emptyok="false"/><br/>';
echo 'Бегущая строка:<br/>
<select name="enmarque">';
if($set['enmarque'] == 0)echo '<option value="0">Отключена</option>';
else if($set['enmarque'] == 1)echo '<option value="1">Включена</option>';
echo '<option value="0">Отключена</option>
<option value="1">Включена</option></select><br/>';
echo '/ перенос строки<br/>';
echo '<dt></dt>';

echo 'Приветственное письмо юзеру:<br/><input name="wellc" value="'.$set['wellc'].'" emptyok="false"/><br/>';

echo '/ перенос строки<br/>';
echo '<dt></dt>';

if ($ver=='wml'){
echo '<br /><anchor title="go">Сохранить<go href="infa?mod='.$mod.'&amp;act=edit&amp;'.SID.'" method="post">';
echo '
<postfield name="gl" value="$gl"/>
<postfield name="enmarque" value="$enmarque"/>
<postfield name="en" value="$en"/>
<postfield name="wellc" value="$wellc"/>
</go></anchor>';
echo '<br/><br/>';
}else{
echo '<br /><input type="submit" class="ibutton" value="Сохранить"/></form><br/>';
echo '<dt></dt>';
}
}else{
$gl= check($_POST['gl']);
$enmarque= check($_POST['enmarque']);
$en= check($_POST['en']);
$wellc= check($_POST['wellc']);

if($gl != $set['gl']){ $me .= ' <b>Приветствие на главной:</b>'.$gl.'<br/>';}
if($enmarque != $set['enmarque']){ $me .= ' <b>Бегущая строка:</b>'.$enmarque.'<br/>';}
if($en != $set['en']){ $me .= ' <b>Приветствие в прихожке:</b>'.$en.'<br/>';}
if($wellc != $set['wellc']){ $me .= ' <b>Приветственное письмо юзеру:</b>'.$wellc.'<br/>';}
 

if($db->sql_query('UPDATE `setting` SET `gl` = "'.$gl.'",`enmarque` = "'.$enmarque.'",`en` = "'.$en.'",`wellc` = "'.$wellc.'"  WHERE `ids` = "1"'))
{
header ('Location: infa?i=1&'.SID);  exit;
}else{
header ('Location: infa?i=2&'.SID);  exit;
}
}
break;

#############new################
case 'objavs':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `objavs` WHERE `id` = '".check(intval($_GET['dell']))."'");
header ('Location: infa?mod='.$mod.'&'.SID);
}
echo '<a href="infa?mod='.$mod.'&amp;act=add"><b>Добавить обьяву</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from objavs"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("Select * from objavs order by time desc LIMIT $start, $max");
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<a href="infa?mod='.$mod.'&amp;act=read&amp;did='.$a['id'].'">'.$a['name'].'</a> ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;dell='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;did='.$a[id].'">[Изм]</a>'.div;
echo '<small>Автор: '.user($a['user_id'],1).' || Просмотров: '.$a['chit'].'</small><br/>';
echo '<dl></dl>';
}
if ($k_post == 0)echo 'Объявлений нет...<br/>';
else echo 'Объявлений <b>'.$k_post.'';
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page);
echo "<dl><dt></dt></dl>";
}
}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo 'Название:<br /><input name="name" maxlength="30" title="Название"/><br/>';
echo'Содержание:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
}else{
echo 'Название:<br /><input name="name" maxlength="30" title="Название"/><br/>';
echo 'Содержание:<br /><input name="msg'.$ref.'" title="Текст"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="name" value="$name"/></go></anchor><br/>';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$name = check($_POST['name']);
$msg = check($_POST['msg']);
if ($user['translit']==1)$name = translit($name);
if ($user['translit']==1)$msg = translit($msg);
if (strlen2($name)<3)$err = 'Короткое название!';
if (strlen2($msg)<10)$err = 'Короткое содержание!';
$p = @$db->sql_fetchrow($db->sql_query(@"select * from `objavs` where name='$name' limit 1;"));
if ($name == $p['name'])$err = 'Такая запись уже есть!';
if(empty($err)){
if ($db->sql_query ("INSERT INTO objavs (user_id,name,msg,time) VALUES ('$user[id]','$name','$msg','$time')")){
header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!';
}else echo $err;
}else if($act=='edit'){
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from objavs where id = '".$did."'"));
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;did='.$did.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Заголовок:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="name" >'.text($a[name],false,true,false,false,false).'</textarea><br/>';
echo'Текст обьявы:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a[msg],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';
}else{
echo 'Заголовок:<br /><input name="name'.$ref.'" value="'.text($a[name],false,true,false,false,false).'" title="Заголовок"/><br/>';
echo 'Текст обьявы:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Текст обьявы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;did='.$ndid.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$did = check(intval($_GET['did']));
$name = check($_POST['name']);
$msg = check($_POST['msg']);
if (strlen2($name)<5){echo 'Заголовок слишком короткий!'; exit;}
if (strlen2($msg)<5){echo 'Текст обьявы слишком короткий!'; exit;}
if ($user['translit']==1)$name = translit($name);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `objavs` SET `name` = '$name',`msg` = '$msg' WHERE `id` = '".$did."'")){
header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br/>';
}else if($act=='read'){
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from objavs where `id` = '$did'"));
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `objavs` WHERE `id` = '".check(intval($_GET['dell']))."'");
header ('Location: infa?mod='.$mod.'&'.SID);
}
$a['chit']++;
$db->sql_query('UPDATE `objavs` SET `chit` = "'.$a['chit'].'" WHERE `id` = "'.$did.'" LIMIT 1');
echo 'Объявление: <b>'.$a['name'].'</b>';
echo ' | <a href="infa?mod='.$mod.'&amp;dell='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;did='.$a[id].'">[Изм]</a>';
echo '<br/>Разместил: '.nik($a['user_id'],1).'<br/>';
echo 'Содержание:<dt></dt>';
echo esc(trim(br(bbcode(antir($a[msg]))))).'<dt></dt>';
echo 'Просмотров: '.$a['chit'].'<br/>';
}
break;
#################end####################

case 'obyava':
if (empty($act)){
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `obyava` WHERE `id` = '".check(intval($_GET['dell']))."'");
header ('Location: infa?mod='.$mod.'&'.SID);
}
echo '<a href="infa?mod='.$mod.'&amp;act=add"><b>Добавить обьяву</b></a><br/><dt></dt>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from obyava"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;
$r = $db->sql_query ("Select * from obyava order by time desc LIMIT $start, $max");
$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<a href="infa?mod='.$mod.'&amp;act=read&amp;did='.$a['id'].'">'.$a['name'].'</a> ('.times($a['time']).') <a href="infa?mod='.$mod.'&amp;dell='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;did='.$a[id].'">[Изм]</a>'.div;
echo '<small>Автор: '.user($a['user_id'],1).' || Просмотров: '.$a['chit'].'</small><br/>';
echo '<dl></dl>';
}
if ($k_post == 0)echo 'Объявлений нет...<br/>';
else echo 'Объявлений <b>'.$k_post.'';
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str('infa?mod='.$mod.'&amp;',$k_page,$page);
echo "<dl><dt></dt></dl>";
}
}else if($act=='add'){
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;act=addi&amp;'.SID.'" method="post">';
echo 'Название:<br /><input name="name" maxlength="30" title="Название"/><br/>';
echo'Содержание:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" ></textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Добавить"/></form><br/><br/>';
}else{
echo 'Название:<br /><input name="name" maxlength="30" title="Название"/><br/>';
echo 'Содержание:<br /><input name="msg'.$ref.'" title="Текст"/><br/>';
echo '<br/><anchor title="go">Добавить<go href="?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="name" value="$name"/></go></anchor><br/>';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act=='addi'){
$name = check($_POST['name']);
$msg = check($_POST['msg']);
if ($user['translit']==1)$name = translit($name);
if ($user['translit']==1)$msg = translit($msg);
if (strlen2($name)<3)$err = 'Короткое название!';
if (strlen2($msg)<10)$err = 'Короткое содержание!';
$p = @$db->sql_fetchrow($db->sql_query(@"select * from `obyava` where name='$name' limit 1;"));
if ($name == $p['name'])$err = 'Такая запись уже есть!';
if(empty($err)){
if ($db->sql_query ("INSERT INTO obyava (user_id,name,msg,time) VALUES ('$user[id]','$name','$msg','$time')")){
header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!';
}else echo $err;
}else if($act=='edit'){
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from obyava where id = '".$did."'"));
if ($ver!='wml'){echo '<form action="infa?mod='.$mod.'&amp;did='.$did.'&amp;act=editi&amp;'.SID.'" method="post">';
echo'Заголовок:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="name" >'.text($a[name],false,true,false,false,false).'</textarea><br/>';
echo'Текст обьявы:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg" >'.text($a[msg],false,true,false,false,false).'</textarea><br/>';
echo '<br /><input type="submit" class="ibutton" value="Изменить"/></form><br /><br />';
}else{
echo 'Заголовок:<br /><input name="name'.$ref.'" value="'.text($a[name],false,true,false,false,false).'" title="Заголовок"/><br/>';
echo 'Текст обьявы:<br /><input name="msg'.$ref.'" value="'.text($a[msg],false,true,false,false,false).'" title="Текст обьявы"/><br/>';
echo '<br /><anchor title="go">Изменить<go href="infa?mod='.$mod.'&amp;did='.$ndid.'&amp;act=editi&amp;'.SID.'" method="post">';
echo '<postfield name="name" value="$name'.$ref.'"/></go></anchor><br/>';
echo '<postfield name="msg" value="$msg'.$ref.'"/></go></anchor><br/>';
}
}else if($act==editi){
$did = check(intval($_GET['did']));
$name = check($_POST['name']);
$msg = check($_POST['msg']);
if (strlen2($name)<5){echo 'Заголовок слишком короткий!'; exit;}
if (strlen2($msg)<5){echo 'Текст обьявы слишком короткий!'; exit;}
if ($user['translit']==1)$name = translit($name);
if ($user['translit']==1)$msg = translit($msg);
if ($db->sql_query("UPDATE `obyava` SET `name` = '$name',`msg` = '$msg' WHERE `id` = '".$did."'")){
header ('Location: infa?mod='.$mod.'&'.SID); exit;
}else echo 'Ошибка!<br/>';
}else if($act=='read'){
$did = check(intval($_GET['did']));
$a = @$db->sql_fetchrow($db->sql_query ("Select * from obyava where `id` = '$did'"));
if (isset($_GET['dell'])){
$db->sql_query("DELETE FROM `obyava` WHERE `id` = '".check(intval($_GET['dell']))."'");
header ('Location: infa?mod='.$mod.'&'.SID);
}
$a['chit']++;
$db->sql_query('UPDATE `obyava` SET `chit` = "'.$a['chit'].'" WHERE `id` = "'.$did.'" LIMIT 1');
echo 'Объявление: <b>'.$a['name'].'</b>';
echo ' | <a href="infa?mod='.$mod.'&amp;dell='.$a[id].'">[Удал]</a>|<a href="infa?mod='.$mod.'&amp;act=edit&amp;did='.$a[id].'">[Изм]</a>';
echo '<br/>Разместил: '.nik($a['user_id'],1).'<br/>';
echo 'Содержание:<dt></dt>';
echo esc(trim(br(bbcode(antir($a[msg]))))).'<dt></dt>';
echo 'Просмотров: '.$a['chit'].'<br/>';
}
break;
}
echo '<br/>';
if ($mod)echo gb.'<a href="infa">Информация</a>'.div;
echo gb.'<a href="index">В админку</a><br />'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a><br/>'.div;
info_compress();
echo 'Время:'.$debag->endTimer().' сек<br />'.div;
foot();
?>